import java.io.FileWriter;
import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.Serializable;

public class Rubrica implements Serializable
{
    FileWriter outs;
    
    Rubrica (String f) {
        try {
            outs = new FileWriter(f, true);
        }
        catch (IOException e) {
            System.out.println("Impossibile aprire il file " + f + " in scruttura.");
            System.exit(1);
        }
    }

    boolean salvaContatti (Contatto [] c) {
        int i = 0;
        
        try {
        while (i<c.length) {
            outs.write(c[i].getNome(), 0 , c[i].getNome().length());
            outs.write(c[i].getEmail(), 0, c[i].getEmail().length());
            outs.write(String.valueOf(c[i].getNT()), 0, String.valueOf(c[i].getNT()).length());
            i++;
        }
        outs.flush();
        } catch (Exception e) {
            System.out.println("Exc in salvaContatti");
            System.exit(3);};
        return true;
    }
    
    public static void main (String args[]) {
        BufferedReader ins = new BufferedReader(new InputStreamReader(System.in));
        if (args.length != 1){System.exit(2);}
        Rubrica r = new Rubrica(args[0]);
        

        Contatto c[] = new Contatto[2];
        try {
        for (int i = 0; i<2; i++) {
            System.out.print("Inserisci il nome del Contatto " + i + ": ");
            c[i] = new Contatto(ins.readLine());
            System.out.print("Inserisci l'email di " + c[i].getNome() + ": ");
            c[i].setEmail(ins.readLine());
            System.out.print("Inserisci il numero di telefono di " + c[i].getNome() + ": ");
            boolean test = false;
            while (!test) {
                try {
                    c[i].setNumeroTelefonico(Integer.parseInt(ins.readLine()));
                    test = true;
                } catch (NumberFormatException e){
                    System.out.println("Deve essere composto solo di cifre!!");
                    System.out.print("Inserisci il numero di telefono di " + c[i].getNome() + ": ");
                }
            }
           }
        }catch (IOException e) {};
    //          for (int i = 0; i<2; i++) c[i].stampaDatiContatto();
   r.salvaContatti(c);
//     try {
//         r.outs.flush();
//         r.outs.close();
//     }catch (Exception e) {};
    }
    
}
