import java.io.Serializable;

public class Contatto implements Serializable
{
    private final String nomeContatto;
    private String email;
    private int numeroTelefonico;
    public final static String proprietarioContatto = "Angelo";

    /**
     * Constructor for objects of class Contatto
     */
 
    // costruttore nullo 
    public Contatto(String n )
    {
        this(n,"", 0);
    }  

    // costruttore con 2 argomenti
    /**
    * @param nome Uno String corrispondente al nome del contatto
    * @param email Uno String corrispondente alla mail del contatto
    */

    public Contatto(String nome, String email)
    {
        nomeContatto = nome;
        this.email = email;
        
    }
    
   // costruttore con 3 argomenti
    /**
    * @param nome Uno String corrispondente al nome del contatto
    * @param email Uno String corrispondente alla mail del contatto
    * @param ntel Un int corrispondente al telefono del contatto
    */

   public Contatto(String nome, String email, int ntel)
    {
        nomeContatto = nome;
        this.email = email;
        numeroTelefonico =ntel;
    }
    
    public void stampaDatiContatto() {
        System.out.println("Nome contatto: " + nomeContatto);
        System.out.println("Email: " + email);
        System.out.println("Numero di tel: " + numeroTelefonico);
    }
    
    public void setNumeroTelefonico(int ntel){
        this.numeroTelefonico = ntel;   
    }
    
    public void setEmail(String e){
        this.email = e;   
    }
    
    public String getNome(){
        return nomeContatto;   
    }
    
    public String getEmail(){
        return email;   
    };
    
    public int getNT(){
        return numeroTelefonico;   
    }
}
